diff -Nru ebtables-2.0.9.2/debian/changelog ebtables-2.0.9.2/debian/changelog
--- ebtables-2.0.9.2/debian/changelog	2010-05-10 12:09:36.000000000 +0000
+++ ebtables-2.0.9.2/debian/changelog	2012-03-03 15:26:10.000000000 +0000
@@ -1,3 +1,12 @@
+ebtables (2.0.9.2-2.1) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * Fix FTBFS due to missing __aligned_u64 definition (Closes: #661449):
+    - 04compensate-for-missing-aligned-u64.patch
+  * Set urgency to “high” for RC bug fix.
+
+ -- Cyril Brulebois <kibi@debian.org>  Sat, 03 Mar 2012 15:24:02 +0000
+
 ebtables (2.0.9.2-2) unstable; urgency=low
 
   * Add a lintian override concerning the usage of -rpath that got lost
diff -Nru ebtables-2.0.9.2/debian/patches/04compensate-for-missing-aligned-u64.patch ebtables-2.0.9.2/debian/patches/04compensate-for-missing-aligned-u64.patch
--- ebtables-2.0.9.2/debian/patches/04compensate-for-missing-aligned-u64.patch	1970-01-01 00:00:00.000000000 +0000
+++ ebtables-2.0.9.2/debian/patches/04compensate-for-missing-aligned-u64.patch	2012-03-03 15:23:52.000000000 +0000
@@ -0,0 +1,16 @@
+Index: ebtables-2.0.9.2/extensions/ebt_pkttype.c
+===================================================================
+--- ebtables-2.0.9.2.orig/extensions/ebt_pkttype.c	2010-02-03 21:17:45.000000000 +0000
++++ ebtables-2.0.9.2/extensions/ebt_pkttype.c	2012-03-03 15:22:57.000000000 +0000
+@@ -12,6 +12,11 @@
+ #include <getopt.h>
+ #include <netdb.h>
+ #include "../include/ebtables_u.h"
++/* BEGIN: Workaround */
++#ifndef __aligned_u64
++#define __aligned_u64 __u64 __attribute__((aligned(8)))
++#endif
++/* END: Workaround */
+ #include <linux/if_packet.h>
+ #include <linux/netfilter_bridge/ebt_pkttype.h>
+ 
diff -Nru ebtables-2.0.9.2/debian/patches/series ebtables-2.0.9.2/debian/patches/series
--- ebtables-2.0.9.2/debian/patches/series	2010-05-07 14:42:22.000000000 +0000
+++ ebtables-2.0.9.2/debian/patches/series	2012-03-03 15:23:20.000000000 +0000
@@ -1,3 +1,4 @@
 01debian_defaultconfig.patch
 02makefile_adjustments.patch
 03manpage.patch
+04compensate-for-missing-aligned-u64.patch
